# Uses of Class
net.shibboleth.idp.profile.interceptor.ExternalInterceptor

Packages that use ExternalInterceptor
Package
Description
net.shibboleth.idp.profile.context
Context classes for IdP-specific information needed by profile actions.
net.shibboleth.idp.profile.interceptor.impl
Implementation of a profile interceptor flow which executes other flows.

## Uses of ExternalInterceptor in net.shibboleth.idp.profile.context

Fields in net.shibboleth.idp.profile.context declared as ExternalInterceptor
Modifier and Type
Field
Description
`private final ExternalInterceptor`
ExternalInterceptorContext.`externalInterceptor`
Implementation object.
Methods in net.shibboleth.idp.profile.context that return ExternalInterceptor
Modifier and Type
Method
Description
`ExternalInterceptor`
ExternalInterceptorContext.`getExternalInterceptor()`
Get the `ExternalInterceptor` installed in the context.
Constructors in net.shibboleth.idp.profile.context with parameters of type ExternalInterceptor
Modifier
Constructor
Description
``
`ExternalInterceptorContext(ExternalInterceptor interceptor)`
Constructor.

## Uses of ExternalInterceptor in net.shibboleth.idp.profile.interceptor.impl

Subclasses of ExternalInterceptor in net.shibboleth.idp.profile.interceptor.impl
Modifier and Type
Class
Description
`class`
`ExternalInterceptorImpl`
Implementation of the `ExternalInterceptor` API that handles moving information in and out of request attributes.